# Class BuyerAsTakerTrade

#### Hierarchy

- unknown
  - BuyerAsTakerTrade

- Defined in src/protobuf/pb_pb.d.ts:6345
- Defined in src/protobuf/pb_pb.d.ts:6359

#####
Index

### Constructors

constructor

### Methods

clearTrade
getTrade
hasTrade
serializeBinary
setTrade
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new BuyerAsTakerTrade(): BuyerAsTakerTrade

- #### Returns BuyerAsTakerTrade

  Inherited from jspb.Message.constructor

## Methods

### clearTrade

- clearTrade(): BuyerAsTakerTrade

- #### Returns BuyerAsTakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6349

### getTrade

- getTrade(): undefined | Trade

- #### Returns undefined | Trade

  - Defined in src/protobuf/pb_pb.d.ts:6346

### hasTrade

- hasTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6348

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6351

### setTrade

- setTrade(value?: Trade): BuyerAsTakerTrade

- #### Parameters

  - ##### `Optional` value: Trade

  #### Returns BuyerAsTakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6347

### toObject

- toObject(includeInstance?: boolean): BuyerAsTakerTrade.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns BuyerAsTakerTrade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6352

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): BuyerAsTakerTrade

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BuyerAsTakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6355

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BuyerAsTakerTrade, reader: BinaryReader): BuyerAsTakerTrade

- #### Parameters

  - ##### message: BuyerAsTakerTrade

  - ##### reader: BinaryReader

  #### Returns BuyerAsTakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6356

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: BuyerAsTakerTrade, writer: BinaryWriter): void

- #### Parameters

  - ##### message: BuyerAsTakerTrade

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6354

### `Static` toObject

- toObject(includeInstance: boolean, msg: BuyerAsTakerTrade): BuyerAsTakerTrade.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BuyerAsTakerTrade

  #### Returns BuyerAsTakerTrade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6353

Generated using TypeDoc